﻿using System.ComponentModel.DataAnnotations;

namespace BarDatabaseImplement.Models
{
     public class CocktailComponent
    {
        public int Id { get; set; }

        [Required]
        public int CocktailId { get; set; }

        [Required]
        public int ComponentId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Component Component { get; set; } = new();

        public virtual Cocktail Cocktail { get; set; } = new();
    }
}
