﻿namespace BarContracts.Attrubites
{
	[AttributeUsage(AttributeTargets.Property)]
	public class ColumnAttribute : Attribute
	{
		public ColumnAttribute(string Title = "", bool Visible = true, int Width = 0, 
			GridViewAutoSize GridViewAutoSize = GridViewAutoSize.None, bool IsUseAutoSize = false)
		{
			this.Title = Title;
			this.Visible = Visible;
			this.Width = Width;
			this.GridViewAutoSize = GridViewAutoSize;
			this.IsUseAutoSize = IsUseAutoSize;
		}
		
		public string Title { get; private set; }
		
		public bool Visible { get; private set; }
		
		public int Width { get; private set; }
		
		public GridViewAutoSize GridViewAutoSize { get; private set; }
		
		public bool IsUseAutoSize { get; private set; }
	}
}
