﻿using BarDataModels.Models;

namespace BarContracts.BindingModels
{
    public class CocktailBindingModel : ICocktailModel
    {
        public int Id { get; set; }
        public string CocktailName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> CocktailComponents
        {
            get;
            set;
        } = new();
    }
}
